Want to Join Us ?

you'll be able to discuss, share and send private messages.

ida pro plugin labeless, sync IDA with OllyDbg by a1ext

Discussion in 'Plugins' started by storm shadow, Oct 7, 2015.

Share This Page

  1. a1ext

    Well-Known Member Ida Pro Expert Developer

    • a1ext
    • Oct 8, 2015
    • 65
    • 107
    I added some videos (actual for version >= 1.1.0.8):
    * Resolving APIs dynamically with Labeless & OllyDbg2


    * Resolving APIs dynamically with Labeless & x64dbg
     
    gavz, Rip Cord, storm shadow and 2 others like this.
  2. storm shadow

    Techbliss Owner Admin Ida Pro Expert Developer

    Concrats on 3 third place, nice work
     
    a1ext likes this.
  3. m4n0w4r

    Well-Known Member

    storm shadow and a1ext like this.
  4. a1ext

    Well-Known Member Ida Pro Expert Developer

    • a1ext
    • Oct 8, 2015
    • 65
    • 107
    storm shadow likes this.
  5. gavz

    Member

    • gavz
    • Dec 29, 2015
    • 11
    • 6
    @a1ext: I also congratulate!
     
    storm shadow likes this.
  6. a1ext

    Well-Known Member Ida Pro Expert Developer

    • a1ext
    • Oct 8, 2015
    • 65
    • 107
    thanks :)
     
  7. a1ext

    Well-Known Member Ida Pro Expert Developer

    • a1ext
    • Oct 8, 2015
    • 65
    • 107
    IDA for Linux support added in version 1.1.1.0
     
    Rip Cord, m4n0w4r and storm shadow like this.
  8. a1ext

    Well-Known Member Ida Pro Expert Developer

    • a1ext
    • Oct 8, 2015
    • 65
    • 107
    Hi all, short questionnaire:

    - What do you think, should I continue supporting old IDA version like IDA 6.8?
     
    Rip Cord, m4n0w4r and storm shadow like this.
  9. storm shadow

    Techbliss Owner Admin Ida Pro Expert Developer

    Hey @a1ext
    I have been following your commenting in the repo lately you have been busy. :)
    Well its up to you to support 6.8.
    I know what the mayority says, but if it is gonna be to much work, then its better to look forward not backwards.
     
    a1ext and samoray like this.
  10. samoray

    Active Member

    In my opinion "yes", as not all of us have the new IDA6.9 version we still stuck to the old one. but it depends on your available time/or/ new projects.
    its very kind of you if you could continue supporting it (including your new projects as well==> make it compatible with the old Verison) .
     
    a1ext likes this.
  11. m4n0w4r

    Well-Known Member

    I fact that, we only have the leak version of IDA 6.8, so will be happy if you continue to support it.:angrybird5.gif:
    But i think it totally depend on you and your time.;)
    Tks so much for one of the best IDA plugins!!

    Regards,
     
    a1ext likes this.
  12. gavz

    Member

    • gavz
    • Dec 29, 2015
    • 11
    • 6
    Yes...

    Regards
     
    a1ext likes this.
  13. m4n0w4r

    Well-Known Member

    Many thanks to Mr. a1ext for the new release:

    Download here:
    https://github.com/a1ext/labeless/releases/download/v_1_1_2_0/labeless_release_full_1.1.2.0.7z

    Regards,
     
  14. storm shadow

    Techbliss Owner Admin Ida Pro Expert Developer

    I think it is a prerelease but anyway good work.
     
    a1ext, m4n0w4r and Rip Cord like this.
  15. a1ext

    Well-Known Member Ida Pro Expert Developer

    • a1ext
    • Oct 8, 2015
    • 65
    • 107
    Thanks for your answers, all.
    Here is the new release, with new beta-feature of Python code auto-completion. To use it, need to install jedi python module using pip like below:
    Code (Text):
    pip install jedi
    in the machine, where is IDA and in the machine, where is your loved debugger.

    Another question: does anybody interested in build for macOS?

    P.S. updated just now, fixed mistyping...
     
    Last edited: Feb 21, 2017
  16. m4n0w4r

    Well-Known Member

    Hi @a1ext:
    x64dbg, cannot load the lastest version v_1_1_2_1:
    x32dbg, load fine:
    Can you rebuild the labeless_x64dbg.dp64 for the newest release of x64dbg?
    Thanks so much!!

    Regards,
    m4n0w4r
     
  17. a1ext

    Well-Known Member Ida Pro Expert Developer

    • a1ext
    • Oct 8, 2015
    • 65
    • 107
    Hi,

    The 1.1.2.1 version works for me (I tried the latest snapshot "snapshot_2017-09-12_00-45"). Did you perform all the installation steps mentioned in README (did you set up protobuf and labeless python module for python x64)?
     
    Last edited: Sep 18, 2017
    Rip Cord and m4n0w4r like this.
  18. m4n0w4r

    Well-Known Member

    Ah, Ok

    That's my mistake! Need to install python x64 :)
    Tks so much!!
     
  19. a1ext

    Well-Known Member Ida Pro Expert Developer

    • a1ext
    • Oct 8, 2015
    • 65
    • 107
    No problem
     
  20. a1ext

    Well-Known Member Ida Pro Expert Developer

    • a1ext
    • Oct 8, 2015
    • 65
    • 107
    Hi guys,

    here is test build of Labeless for IDA 7 attached. Feel free to report bugs and ask for improvements.
     
    Last edited: Sep 27, 2017
    roocoon, Rip Cord and storm shadow like this.
Top